.ant-menu-dark, .ant-menu-dark .ant-menu-sub {
    /* color: rgba(255, 255, 255, 0.65); */
    background: transparent !important;
}
.ant-menu-transparent,.ant-menu-transparent .ant-menu-sub{
    color:hsla(0,0%,100%,.65) !important;
    /*background:#001529 !important*/
}
.ant-menu-transparent .ant-menu-sub .ant-menu-submenu-title
.ant-menu-submenu-arrow,.ant-menu-transparent .ant-menu-submenu-title
.ant-menu-submenu-arrow{
    opacity:.45;transition:all .3s
}
.ant-menu-transparent .ant-menu-sub .ant-menu-submenu-title
.ant-menu-submenu-arrow:after,.ant-menu-transparent .ant-menu-sub
.ant-menu-submenu-title .ant-menu-submenu-arrow:before,.ant-menu-transparent
.ant-menu-submenu-title .ant-menu-submenu-arrow:after,
.ant-menu-transparent .ant-menu-submenu-title
.ant-menu-submenu-arrow:before{
    background:#fff
}
.ant-menu-transparent.ant-menu-submenu-popup{
    background:transparent
}
.ant-menu-transparent .ant-menu-inline.ant-menu-sub{
    background:#000c17;
    box-shadow:inset 0 2px 8px rgba(0,0,0,.45)
 }
 .ant-menu-transparent.ant-menu-horizontal{
    border-bottom:0
}
.ant-menu-transparent.ant-menu-horizontal>
.ant-menu-item,.ant-menu-transparent.ant-menu-horizontal>
.ant-menu-submenu{
    /*border-color:#001529;*/
    border-bottom:0;
    top:0;
    margin-top:0
 }
 .ant-menu-transparent.ant-menu-horizontal>
 .ant-menu-item>
 a:before{
    bottom:0
 }
 .ant-menu-transparent .ant-menu-item,
 .ant-menu-transparent .ant-menu-item-group-title,
 .ant-menu-transparent .ant-menu-item>
 a{
    color:hsla(0,0%,100%,.65)
 }
 .ant-menu-transparent.ant-menu-inline,
 .ant-menu-transparent.ant-menu-vertical,
 .ant-menu-transparent.ant-menu-vertical-left,
 .ant-menu-transparent.ant-menu-vertical-right{
    border-right:0
 }
 .ant-menu-transparent.ant-menu-inline .ant-menu-item,
 .ant-menu-transparent.ant-menu-vertical-left .ant-menu-item,
 .ant-menu-transparent.ant-menu-vertical-right .ant-menu-item,
 .ant-menu-transparent.ant-menu-vertical .ant-menu-item{
    border-right:0;
    margin-left:0;
    left:0
 }
 .ant-menu-transparent.ant-menu-inline .ant-menu-item:after,
 .ant-menu-transparent.ant-menu-vertical-left .ant-menu-item:after,
 .ant-menu-transparent.ant-menu-vertical-right .ant-menu-item:after,
 .ant-menu-transparent.ant-menu-vertical .ant-menu-item:after{
    border-right:0
 }
 .ant-menu-transparent.ant-menu-inline .ant-menu-item,
 .ant-menu-transparent.ant-menu-inline .ant-menu-submenu-title{
    width:100%
 }
 .ant-menu-transparent .ant-menu-item-active,
 .ant-menu-transparent .ant-menu-item:hover,
 .ant-menu-transparent .ant-menu-submenu-active,
 .ant-menu-transparent .ant-menu-submenu-open,
 .ant-menu-transparent .ant-menu-submenu-selected,
 .ant-menu-transparent .ant-menu-submenu-title:hover{
    background-color:transparent;
    color:#fff
 }
 .ant-menu-transparent .ant-menu-item-active>a,
 .ant-menu-transparent .ant-menu-item:hover>a,
 .ant-menu-transparent .ant-menu-submenu-active>a,
 .ant-menu-transparent .ant-menu-submenu-open>a,
 .ant-menu-transparent .ant-menu-submenu-selected>a,
 .ant-menu-transparent .ant-menu-submenu-title:hover>a{
    color:#fff
 }
 .ant-menu-transparent .ant-menu-item-active>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-item-active>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-item:hover>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-item:hover>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-submenu-active>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-submenu-active>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-submenu-open>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-submenu-open>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-submenu-selected>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-submenu-selected>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-submenu-title:hover>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow,
 .ant-menu-transparent .ant-menu-submenu-title:hover>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow{
    opacity:1
 }
 .ant-menu-transparent .ant-menu-item-active>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-item-active>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-item-active>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-item-active>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-item:hover>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-item:hover>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-item:hover>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-item:hover>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-submenu-active>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-submenu-active>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-submenu-active>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-submenu-active>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-submenu-open>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-submenu-open>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-submenu-open>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-submenu-open>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-submenu-selected>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-submenu-selected>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-submenu-selected>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-submenu-selected>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-submenu-title:hover>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-submenu-title:hover>
 .ant-menu-submenu-title:hover>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-submenu-title:hover>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-submenu-title:hover>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:before{
    background:#fff
 }
 .ant-menu-transparent .ant-menu-item-selected{
    border-right:0;color:#fff
 }
 .ant-menu-transparent .ant-menu-item-selected:after{
    border-right:0
 }
 .ant-menu-transparent .ant-menu-item-selected>
 a,.ant-menu-transparent .ant-menu-item-selected>
 a:hover{
    color:#fff
 }
 .ant-menu-submenu-popup.ant-menu-transparent .ant-menu-item-selected,
 .ant-menu.ant-menu-transparent .ant-menu-item-selected{
    background-color:#1890ff
 }
 .ant-menu-transparent .ant-menu-item-disabled,
 .ant-menu-transparent .ant-menu-item-disabled>a,
 .ant-menu-transparent .ant-menu-submenu-disabled,
 .ant-menu-transparent .ant-menu-submenu-disabled>a{
    opacity:.8;
    color:hsla(0,0%,100%,.35)!important
 }
 .ant-menu-transparent .ant-menu-item-disabled>.ant-menu-submenu-title,
 .ant-menu-transparent .ant-menu-submenu-disabled>.ant-menu-submenu-title{
    color:hsla(0,0%,100%,.35)!important
 }
 .ant-menu-transparent .ant-menu-item-disabled>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-item-disabled>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:before,
 .ant-menu-transparent .ant-menu-submenu-disabled>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:after,
 .ant-menu-transparent .ant-menu-submenu-disabled>
 .ant-menu-submenu-title>
 .ant-menu-submenu-arrow:before{
    background:hsla(0,0%,100%,.35)!important
 }